Skip to main content
PATCH
Update price book item

Supported products

Path Parameters

priceBookId
integer<int64>
required

The unique identifier of the price book containing the item to update.

priceBookItemId
integer<int64>
required

The unique identifier of the item within the price book to update.

Query Parameters

archived
boolean

Whether to return only results that have been archived.

Body

application/json
billingFrequency
object
required

An object specifying the frequency at which billing occurs for the price book item.

billingPeriod
object
required

An object specifying the period over which billing occurs for the price book item.

customProperties
object
required

A map of custom property names to their values, allowing for additional customization of the price book item.

status
object
required

An object indicating the current status of the price book item.

archived
boolean

A boolean indicating whether the price book item is archived.

pricing
object

Response

successful operation

customProperties
object
required

A map of custom property names to their values for the price book item.

id
string
required

The unique identifier for the price book item.

productId
string
required

The unique identifier for the product associated with the price book item.

archived
boolean

A boolean indicating whether the price book item is archived.

archivedAt
string<date-time>

The date and time when the price book item was archived, in ISO 8601 format.

billingFrequency
enum<string>

The frequency at which billing occurs for the price book item. Valid values include 'annually', 'biweekly', 'monthly', 'one_time', 'per_five_years', 'per_four_years', 'per_six_months', 'per_three_years', 'per_two_years', 'quarterly', and 'weekly'.

Available options:
ANNUALLY,
BIWEEKLY,
MONTHLY,
PER_FIVE_YEARS,
PER_FOUR_YEARS,
PER_SIX_MONTHS,
PER_THREE_YEARS,
PER_TWO_YEARS,
QUARTERLY,
WEEKLY
billingPeriod
string

The billing period for the price book item.

costOfGoodsSold
string

The cost of goods sold for the price book item.

createdAt
string<date-time>

The date and time when the price book item was created, in ISO 8601 format.

description
string

A description of the price book item.

images
string

A string representing images associated with the price book item.

name
string

The name of the price book item.

priceBookId
string

The unique identifier for the price book containing this item.

pricing
object
productClassification
enum<string>

The classification of the product. Valid values include 'BUNDLE', 'STANDALONE', and 'VARIANT'.

Available options:
BUNDLE,
STANDALONE,
VARIANT
productType
enum<string>

The type of product. Valid values include 'INVENTORY', 'NON_INVENTORY', and 'SERVICE'.

Available options:
INVENTORY,
NON_INVENTORY,
SERVICE
recurringBillingTerms
enum<string>

The terms of recurring billing for the price book item. Valid values include 'AUTOMATICALLY_RENEW' and 'FIXED'.

Available options:
AUTOMATICALLY_RENEW,
FIXED
sku
string

The stock keeping unit (SKU) of the price book item.

status
enum<string>

The current status of the price book item. Valid values include 'active' and 'inactive'.

Available options:
active,
inactive
taxCategory
string

The tax category of the price book item.

updatedAt
string<date-time>

The date and time when the price book item was last updated, in ISO 8601 format.

url
string

A URL associated with the price book item.

Last modified on September 9, 2026